<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<div id="cimPaymentForm" class="paymentInformation panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="paymentForms.cimHeading" bundle="/order" /></h3>
	</div>
	<div class="panel-body">
		<p class="instructions"><bean:message key="paymentForms.cimInstructions" bundle="/order"/></p>
		<c:choose>
			<c:when test="${!empty cimToken or requestScope.useCIMAPI}">
				<input type="hidden" name="cimPaymentProfileType" value="${cimPaymentProfileType}" />
				<a name="cimAboveProfileListA"></a>
				<c:set var="fromPage" value="checkout" scope="request"/>
				<c:choose>
					<c:when test="${requestScope.useCIMAPI}">
						<div id="paymentProfilesDisplay">&nbsp;</div>
					</c:when>
					<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
						<ssc:insert page="/WEB-INF/layouts/default-html5/customer/cimManageProfilesList.jsp"/>
					</c:when>
					<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
						<ssc:insert page="/WEB-INF/layouts/default-html5/customer/cimManageProfilesList.jsp"/>
						<c:choose>
							<c:when test="${settings.map.authorizeNetCIMFullManageWindow eq '1'}">
								<button class="btn btn-primary" onclick="AuthorizeNetPopup.openManagePopup();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
							</c:when>
							<c:otherwise>
								<button class="btn btn-primary" onclick="AuthorizeNetPopup.openAddPaymentPopup();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
							</c:otherwise>
						</c:choose>
					</c:when>
					<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
						<ssc:insert page="/WEB-INF/layouts/default-html5/customer/cimManageProfilesList.jsp"/>
						<button class="btn btn-primary" onclick="ssRedirectManage();return false;"><bean:message key="customer.cimAddNewPaymentMethod" bundle="/customer"/></button>
					</c:when>
				</c:choose>
				<logic:notPresent name="suppressSubmitButton">
					<div id="basicPaymentButton" class="paymentButton">
						<c:if test="${displayCheckoutConfirm eq '0' and !empty cimPaymentProfiles}">
							<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
						</c:if>
							<c:if test="${displayCheckoutConfirm eq '1' and (requestScope.useCIMAPI or !empty cimPaymentProfiles)}">
							<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
						</c:if>
					</div>
				</logic:notPresent>
				<a name="cimAboveHostedFormA"></a>
				<c:choose>
					<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Embedded IFrame'}">
						<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetCIMEmbeddedIFrame.jsp"/>
					</c:when>
					<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Popup IFrame'}">
						<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetCIMPopupIFrame.jsp"/>
					</c:when>
					<c:when test="${settings.map.authorizeNetCIMHostedMethod eq 'Redirect'}">
						<ssc:insert page="/WEB-INF/layouts/default-html5/payment/authorizeNetCIMRedirect.jsp"/>
					</c:when>
				</c:choose>
			</c:when>
			<c:otherwise>
				<bean:message key="paymentForms.cimMethodNotAvailable" bundle="/order"/>
			</c:otherwise>
		</c:choose>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
