<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start lostPassword.jsp -->
<c:choose>
	<c:when test="${settings.map.useAdvancedLostPassword eq '1'}">
		<h1><bean:message key="customer.lostPasswordHeadlineAdvanced" bundle="/customer"/></h1>
		<p class="instructions"><bean:message key="customer.lostPasswordInstructionsAdvanced" bundle="/customer"/></p>
	</c:when>
	<c:otherwise>
		<h1><bean:message key="customer.lostPasswordHeadline" bundle="/customer"/></h1>
		<p class="instructions"><bean:message key="customer.lostPasswordInstructions" bundle="/customer"/></p>
	</c:otherwise>
</c:choose>


<form name="lostPasswordForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/LostPassword.do")%>" method="post">

	<%--Cross-site request forgery token--%>
	<html:hidden name="lostPasswordForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
	
	<label for="lostPasswordEmail">
		<c:if test="${keepUserNameAndEmailInSync eq '1'}">
			<bean:message key="customer.email" bundle="/customer"/>:
		</c:if>
		<c:if test="${keepUserNameAndEmailInSync ne '1'}">
			<bean:message key="customer.userName" bundle="/customer"/>:
		</c:if>
	</label><br />

	<html:text styleId="lostPasswordEmail" name="lostPasswordForm" property="userName"/>
	<c:choose>
		<c:when test="${settings.map.useAdvancedLostPassword eq '1'}">
			<span id="lostPasswordButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="customer.lostPasswordButtonAdvanced" bundle="/customer"/>"/></span>
		</c:when>
		<c:otherwise>
			<span id="lostPasswordButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="customer.lostPasswordButton" bundle="/customer"/>"/></span>
		</c:otherwise>
	</c:choose>
</form>
<!-- End lostPassword.jsp -->
