package com.softslate.commerce.daos.customer;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to customer
 * wish lists.
 * 
 * @author Jason McWilliams
 * 
 */
public interface CustomerWishListGatewayDAO extends DAOInterface {
	abstract Map loadCustomerWishListsAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteCustomerWishLists(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
