UPDATE sscSetting SET smallValue='2.1.4' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKHostAddress','Host Address','The host name used to connect to the Payflow Pro account. Use test-payflow.verisign.com for test transactions and payflow.verisign.com for live transactions.','paypalUK', 'mediumValue', NULL,NULL,'test-payflow.verisign.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKHostPort','Host Port','The port used to connect to the Payflow Pro account.','paypalUK', 'smallValue', NULL,'443',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKTimeout','Timeout','Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.','paypalUK', 'smallValue', NULL,'30',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKUser','Merchant Login','The user name or login name used to log into the Payflow Pro account.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPassword','Password','The password used to log into the Payflow Pro account.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPartner','Partner','The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is VeriSign.','paypalUK', 'smallValue', NULL,'PayPalUK',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKVendor','Vendor','The PayPal Vendor used to log into the Payflow Pro account. (Leave blank if you do not know this.)','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKComment1','Comment 1','The Comment fields are passed to Payflow Pro and appear in custom reports.','paypalUK', 'mediumValue', NULL,NULL,'Order ID: %%ORDER_ID%%  Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%  Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKComment2','Comment 2','The Comment fields are passed to Payflow Pro and appear in custom reports.','paypalUK', 'mediumValue', NULL,NULL,'Del. ID: %%DELIVERY_ID%%  Del. Phone 1: %%DELIVERY_PHONE1%%  Del. Phone 2:%%DELIVERY_PHONE2%%  Del. Email 1: %%DELIVERY_EMAIL1%%  Del. Email 2: %%DELIVERY_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCustRef','Customer Reference','The Customer Reference (custref) field appears in custom reports.','paypalUK', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCustomerCode','Customer Code','The Customer Code appears in custom reports.','paypalUK', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPONumber','Purchase Order Number','The Purchase Order Number is passed to Payflow Pro appears in custom reports.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyAddress','Proxy Address','Proxy server host name. Use proxy values for servers behind a firewall.','paypalUK', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyPort','Proxy Port','The port number of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyLogon','Proxy Logon','The login name of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyPassword','Proxy Password','The password of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKAVSSt','AVS Setting for Street Match','AVS Setting for Street Match.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKAVSZip','AVS Setting for Zip Code Match','AVS Setting for Zip Code Match','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCVV2','AVS Setting for CVV2 Match','AVS Setting for CVV2 Match','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPaymentType','Direct Transaction Type','The transaction options for PayPal UK Direct.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCertPath','Paypal UK Certificate Path','Certificate Path for paypal UK','paypalUK', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutMerchantId','Merchant Id','The merchant id assigned by Google Checkout. Note, this id is different for the sandbox and production environments.','googleCheckout', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutMerchantKey','Merchant Key','This merchant key assigned by Google Checkout. Please do not share this key. Note, this key is different for the sandbox and production environments','googleCheckout', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutEnvironment','Selected Environment','Google Checkout offers two environments. Sandbox for testing, and Production for actual transactions','googleCheckout', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutSandboxRootURL','Sandbox Root URL','The root url of Google Checkout, which can be used for sending test transactions. This value does not change, so please do not change it unless you are required to by Google.','googleCheckout', 'mediumValue', NULL,NULL,'https://sandbox.google.com/checkout/cws/v2/Merchant',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutProductionRootURL','Production (Live) Root URL','The root url of google checkout, which can be used for sending actual/live transactions. This value does not change, so please do not change it unless you are required to by Google.','googleCheckout', 'mediumValue', NULL,NULL,'https://checkout.google.com/cws/v2/Merchant',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutButtonSize','Google Checkout Button Size','The size of the Google Checkout button.','googleCheckout', 'mediumValue', NULL,NULL,'medium',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('googleCheckoutButtonBackGround','Google Checkout Button background color','The background color behind the Google Checkout button.','googleCheckout', 'mediumValue', NULL,NULL,'white',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('clearCartOnLogout','Empty Cart When Customer Logs Out?','If true, when a customer logs out, all items in the cart will be removed.','LOGIC', 'integerValue',0,NULL,NULL,NULL);
