<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start controlScreenVariables.jsp -->
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" type="java.lang.String"/>
<bean:define id="idField" name="mainForm" property="idField" type="java.lang.String" toScope="request"/>
<bean:define id="nameField" name="mainForm" property="nameField" type="java.lang.String" toScope="request"/>
<bean:define id="formActionTemp" name="mainForm" property="formAction" type="java.lang.String" toScope="request"/>
<bean:define id="formAction" value="<%=response.encodeURL(administratorURL + formActionTemp)%>" type="java.lang.String" toScope="request"/>
<bean:define id="addFormActionTemp" name="mainForm" property="addFormAction" type="java.lang.String" toScope="request"/>
<bean:define id="addFormAction" value="<%=response.encodeURL(administratorURL + addFormActionTemp)%>" type="java.lang.String" toScope="request"/>
<bean:define id="editFormActionTemp" name="mainForm" property="editFormAction" type="java.lang.String" toScope="request"/>
<bean:define id="editFormAction" value="<%=response.encodeURL(administratorURL + editFormActionTemp)%>" type="java.lang.String" toScope="request"/>
<bean:define id="editDeleteFormActionTemp" name="mainForm" property="editDeleteFormAction" type="java.lang.String" toScope="request"/>
<bean:define id="editDeleteFormAction" value="<%=response.encodeURL(administratorURL + editDeleteFormActionTemp)%>" type="java.lang.String" toScope="request"/>
<c:if test="${!empty mainForm.parentScreen}">
	<bean:define id="parentScreen" name="mainForm" property="parentScreen" type="java.lang.String" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.childEditAction}">
	<bean:define id="childEditActionTemp" name="mainForm" property="childEditAction" type="java.lang.String" toScope="request"/>
	<bean:define id="childEditAction" value="<%=response.encodeURL(administratorURL + childEditActionTemp)%>" type="java.lang.String" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.parentIDField}">
	<bean:define id="parentIDField" name="mainForm" property="parentIDField" type="java.lang.String" toScope="request"/>
	<bean:define id="parentIDValue" name="mainForm" property="<%= parentIDField %>" type="java.lang.String" toScope="request"/>
	<bean:define id="parentIDParam" value='<%= parentIDField + "=" + parentIDValue %>' toScope="request"/>
	<bean:define id="grandparentIDParamCL" value='<%= parentIDField + "=" + parentIDValue %>' toScope="request"/>
</c:if>
<c:if test="${empty mainForm.parentIDField}">
	<bean:define id="parentIDField" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="parentIDValue" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="parentIDParam" value="" toScope="request"/>
	<bean:define id="grandparentIDParamCL" value="" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.parentName}">
	<bean:define id="parentNameValue" name="mainForm" property="parentName" type="java.lang.String" toScope="request"/>
	<bean:define id="parentNameParam" value='<%= "parentName=" + parentNameValue %>' toScope="request"/>
	<bean:define id="grandparentNameParamCL" value='<%= "grandparentName=" + parentNameValue %>' toScope="request"/>
</c:if>
<c:if test="${empty mainForm.parentName}">
	<bean:define id="parentNameValue" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="parentNameParam" value="" toScope="request"/>
	<bean:define id="grandparentNameParamCL" value="" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.grandparentIDField}">
	<bean:define id="grandparentIDField" name="mainForm" property="grandparentIDField" type="java.lang.String" toScope="request"/>
	<bean:define id="grandparentIDValue" name="mainForm" property="<%= grandparentIDField %>" type="java.lang.String" toScope="request"/>
	<bean:define id="grandparentIDParam" value='<%= grandparentIDField + "=" + grandparentIDValue %>' toScope="request"/>
	<bean:define id="greatGrandparentIDParamCL" value='<%= grandparentIDField + "=" + grandparentIDValue %>' toScope="request"/>
</c:if>
<c:if test="${empty mainForm.grandparentIDField}">
	<bean:define id="grandparentIDField" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="grandparentIDValue" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="grandparentIDParam" value="" toScope="request"/>
	<bean:define id="greatGrandparentIDParamCL" value="" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.childName}">
	<bean:define id="childName" name="mainForm" property="childName" type="java.lang.String" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.grandparentName}">
	<bean:define id="grandparentNameValue" name="mainForm" property="grandparentName" type="java.lang.String" toScope="request"/>
	<bean:define id="grandparentNameParam" value='<%= "grandparentName=" + grandparentNameValue %>' toScope="request"/>
	<bean:define id="greatGrandparentNameParamCL" value='<%= "greatGrandparentName=" + grandparentNameValue %>' toScope="request"/>
</c:if>
<c:if test="${empty mainForm.grandparentName}">
	<bean:define id="grandparentNameValue" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="grandparentNameParam" value="" toScope="request"/>
	<bean:define id="greatGrandparentNameParamCL" value="" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.greatGrandparentIDField}">
	<bean:define id="greatGrandparentIDField" name="mainForm" property="greatGrandparentIDField" type="java.lang.String" toScope="request"/>
	<bean:define id="greatGrandparentIDValue" name="mainForm" property="<%= greatGrandparentIDField %>" type="java.lang.String" toScope="request"/>
	<bean:define id="greatGrandparentIDParam" value='<%= greatGrandparentIDField + "=" + greatGrandparentIDValue %>' toScope="request"/>
</c:if>
<c:if test="${empty mainForm.greatGrandparentIDField}">
	<bean:define id="greatGrandparentIDField" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="greatGrandparentIDValue" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="greatGrandparentIDParam" value="" toScope="request"/>
</c:if>
<c:if test="${!empty mainForm.greatGrandparentName}">
	<bean:define id="greatGrandparentNameValue" name="mainForm" property="greatGrandparentName" type="java.lang.String" toScope="request"/>
	<bean:define id="greatGrandparentNameParam" value='<%= "greatGrandparentName=" + greatGrandparentNameValue %>' toScope="request"/>
</c:if>
<c:if test="${empty mainForm.greatGrandparentName}">
	<bean:define id="greatGrandparentNameValue" value="" type="java.lang.String" toScope="request"/>
	<bean:define id="greatGrandparentNameParam" value="" toScope="request"/>
</c:if>
<!-- End controlScreenVariables.jsp -->
