<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start displayFields.jsp -->
<div id="displayedColumns">
	<form id="displayFieldsForm" class="displayFieldsForm" name="displayFieldsForm" action="<c:out value="${formAction}"/>" method="post">
		<table id="displayFieldsTable">
			<tr>
				<td id="displayFieldsCell">
					<html:hidden name="mainForm" property="itemsPerPage"/>
					<html:hidden name="mainForm" property="firstRow"/>
					<html:hidden name="mainForm" property="editMode"/>
					<html:hidden name="mainForm" property="searchString"/>
					<html:hidden name="mainForm" property="sortByString"/>
					<html:hidden name="mainForm" property="sortAscOrDesc"/>
					<c:if test="${!empty parentIDField}">
						<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
						<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
					</c:if>
					<c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">
						<html:hidden name="mainForm" property="productID"/>
					</c:if>
					<c:if test="${mainForm.entityProperty eq 'discountRange' and !empty mainForm.skuID}">
						<html:hidden name="mainForm" property="skuID"/>
					</c:if>
					<c:if test="${mainForm.entityProperty eq 'order' and !empty mainForm.workWithOrders}">
						<html:hidden name="mainForm" property="workWithOrders"/>
					</c:if>
					<c:if test="${mainForm.entityProperty eq 'category' and !empty mainForm.workWithCategories}">
						<html:hidden name="mainForm" property="workWithCategories"/>
					</c:if>
					<c:if test="${mainForm.entityProperty eq 'requestLog' and !empty mainForm.workWithRequests}">
						<html:hidden name="mainForm" property="workWithRequests"/>
					</c:if>
					<c:if test="${!empty mainForm.assignments}">
						<html:hidden name="mainForm" property="assignments"/>
					</c:if>
					<% int columnOrder = 0; %>
					<% int numberOfColumns = 6; %>
					<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
					<bean:define id="fieldLabelArray" name="mainForm" property="fieldLables" type="java.lang.String[]" />
					<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
					<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
					<logic:iterate collection="<%= fieldArray %>" id="field" indexId="i" type="java.lang.String">
						<% columnOrder++; %>
						<div class="displayField">
							<label for="<%= field %>DisplayField"><%= fieldLabelArray[i.intValue()] %></label>
							<% if (displayFieldCollection.contains(field)) { %>
							<input type="checkbox" name="displayFields" checked="checked" id="<%= field %>DisplayField" value="<%= field %>" />
							<% } else { %>
							<input type="checkbox" name="displayFields" id="<%= field %>DisplayField" value="<%= field %>" />
							<% } %>
						</div>
					</logic:iterate>
					<div class="label displayField">
						All <input type="checkbox" onclick="javascript:toggleDisplayFields();"/>
					</div>
				</td>
				<td id="displayFieldsUpdateButton">
					<input type="submit" class="button" name="updateSubmit" value="<bean:message key="administrator.update" bundle="/administrator/administrator"/>"/>
				</td>
			</tr>
		</table>
	</form>
</div>
<!-- End displayFields.jsp -->
