<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start searchBox.jsp -->

<form class="searchForm" name="searchForm" action="<c:out value="${formAction}"/>" method="post">
	<html:hidden name="mainForm" property="itemsPerPage"/>
	<input type="hidden" name="firstRow" value="1" />
	<html:hidden name="mainForm" property="editMode"/>
	<html:hidden name="mainForm" property="sortByString"/>
	<html:hidden name="mainForm" property="sortAscOrDesc"/>
	<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
	<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
		<input type="hidden" name="displayFields" value="<%= displayField %>" />
	</logic:iterate>
	<c:if test="${!empty parentIDField}">
		<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
		<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
	</c:if>
	<c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">
		<html:hidden name="mainForm" property="productID"/>
	</c:if>
	<c:if test="${mainForm.entityProperty eq 'discountRange' and !empty mainForm.skuID}">
		<html:hidden name="mainForm" property="skuID"/>
	</c:if>
	<c:if test="${mainForm.entityProperty eq 'order' and !empty mainForm.workWithOrders}">
		<html:hidden name="mainForm" property="workWithOrders"/>
	</c:if>
	<c:if test="${mainForm.entityProperty eq 'category' and !empty mainForm.workWithCategories}">
		<html:hidden name="mainForm" property="workWithCategories"/>
	</c:if>
	<c:if test="${mainForm.entityProperty eq 'requestLog' and !empty mainForm.workWithRequests}">
		<html:hidden name="mainForm" property="workWithRequests"/>
	</c:if>
	<c:if test="${!empty mainForm.assignments}">
		<html:hidden name="mainForm" property="assignments"/>
	</c:if>
	<html:text size="15" styleId="searchButton" name="mainForm" property="searchString"/>
	<input type="submit" class="button" value="<bean:message key="administrator.filter" bundle="/administrator/administrator"/>"/>
	<input type="submit" class="button" onclick="document.forms.searchForm.searchString.value=''" value="<bean:message key="administrator.clear" bundle="/administrator/administrator"/>"/>
</form>
							
<!-- End searchBox.jsp -->
