<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start emailEditForm.jsp -->
<html:form action="/EmailEdit" method="post">
	<html:hidden name="emailAddEditForm" property="emailID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="property setting">Email ID:</td>
			<td class="value">
				<html:hidden name="emailAddEditForm" property="emailID"/>
				<c:out value="${emailAddEditForm.emailID}"/>
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="emailDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/EmailDelete.do" method="post">
		<input type="hidden" name="emailID" value="<bean:write name="emailAddEditForm" property="emailID" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<br/><br/>
<h2 class="administratorHeader">Send This Email Now</h2>
<form name="emailAddForm" class="extraForm adminContainer" action="<c:out value="${settings.map.administratorURL}"/>/EmailSend.do" method="post">
	<input type="hidden" name="emailID" value="${email.emailID}"/>
	<input type="submit" class="button" name="action" value="Send Now" />
</form>

<c:if test="${!empty email.templateID and !empty email.orderID}">
	<br/><br/>
	<h2 class="administratorHeader">Create a New Email Based On This One</h2>
	<p class="extraInstructions">Create a new email based on this one. 
	The new email will differ from the current one if the order or the template has changed.</p>
	
	<form name="emailAddForm" class="extraForm adminContainer" action="<c:out value="${settings.map.administratorURL}"/>/EmailAddFromTemplate.do" method="post">
		Order number: <em>${email.order.orderNumber}</em><br/>
		Template code: <em>${email.template.code}</em>&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="hidden" name="orderNumber" value="${email.order.orderNumber}"/>
		<input type="hidden" name="templateID" value="${email.template.templateID}"/>
		<input type="hidden" name="subject" value="${email.template.subject}"/>
		<input type="hidden" name="type" value="ManuallyTriggered-$email.{template.code}"/>
		<input type="hidden" name="status" value="Unattempted"/>
		<input type="submit" class="button" name="action" value="Create New Email" />&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="submit" class="button" name="action" value="Create And Send New Email" />
	</form>
</c:if>
<!-- End emailEditForm.jsp -->
