<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<!-- Start discountRangeExtra.jsp -->
<c:if test="${editPermission eq 'true'}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Discount Range - Quick Add under <em><c:out value="${discount.name}"/> (<c:out value="${discount.code}"/>)</em></h2>
		<form name="basicTaxRateQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/DiscountRangeQuickAdd.do">
			<c:if test="${!empty product}">
				<input type="hidden" name="productID" value="<c:out value="${product.productID}"/>"/>
			</c:if>
			<c:if test="${!empty sku}">
				<input type="hidden" name="skuID" value="<c:out value="${sku.skuID}"/>"/>
			</c:if>
			<input type="hidden" name="discountID" value="<c:out value="${discount.discountID}"/>"/>
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddFloor">Floor:</label><br/>
						<html:text maxlength="9" name="discountRangeAddEditForm" property="floor" styleId="quickAddFloor"/>
					</td>
					<td class="extraField">
						<label for="quickAddCeiling">Ceiling:</label><br/>
						<html:text maxlength="9" name="discountRangeAddEditForm" property="ceiling" styleId="quickAddCeiling"/>
					</td>
					<td class="extraField">
						<label for="quickAddrewardType">Reward Type:</label><br/>
						<html:select name="discountRangeAddEditForm" property="rewardType" styleId="quickAddrewardType">
							<html:option value="[percentage]">Percentage</html:option>
							<html:option value="[amount]">Amount</html:option>
							<html:option value="[itemsForFree]"># Free Items</html:option>
						</html:select>
					</td>
					<td class="extraField">
						<label for="quickAddReward">Reward:</label><br/>
						<html:text maxlength="9" name="discountRangeAddEditForm" property="reward" styleId="quickAddReward"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</c:if>
<!-- End discountRangeExtra.jsp -->
