<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
	<div id="loginFormGuts" class="panel panel-primary flush">
		<div class="panel-heading">
			<h3 class="panel-title"><bean:message key="customer.returningCustomers" bundle="/customer"/></h3>
		</div>
		<div class="panel-body">

			<%--Original request--%>
			<html:hidden name="loginForm" property="originalRequest"/>

			<%--Cross-site request forgery token--%>
			<html:hidden name="loginForm" property="csrfToken" value="${sessionScope.csrfToken}"/>

			<%--User name/email field--%>
			<div class="form-group">
				<label for="loginUserName" class="control-label">
					<c:if test="${keepUserNameAndEmailInSync eq '1'}">
						<bean:message key="customer.email" bundle="/customer"/>:
					</c:if>
					<c:if test="${keepUserNameAndEmailInSync ne '1'}">
						<bean:message key="customer.userName" bundle="/customer"/>:
					</c:if>
				</label>

				<input type="email" id="loginUserName" class="form-control" name="userName" value="${loginForm.userName}">

			</div>

			<%--Password field--%>
			<div class="form-group">
				<label for="loginDecryptedPassword" class="control-label">
					<bean:message key="customer.password" bundle="/customer"/>:
				</label>

				<input type="password" id="loginDecryptedPassword" class="form-control" name="decryptedPassword">

			</div>

			<%--Remember Me field--%>
			<c:if test="${settings.map.allowCustomerAutoLogins eq '1'}">

		  	<div class="checkbox">
					<label>
						<html:checkbox styleId="loginRememberMe" name="loginForm" property="rememberMe"/>
						<bean:message key="customer.rememberMe" bundle="/customer"/>
					</label>
				</div>

			</c:if>

		</div>
		<div class="panel-footer clearfix">

			<%--Submit button--%>
			<span id="loginButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="customer.loginButton" bundle="/customer"/>"/></span>

			<ssc:insert page="/WEB-INF/layouts/default/customer/lostPasswordLink.jsp" flush="false"/>

		</div>
	</div>
<!-- End ${pageScope.sscCurrentPage} -->
