<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.Category" %><%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<c:if test="${!empty category}">
	"code": <c:set var="value" value="${category.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"name": <c:set var="value" value="${category.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"header": <c:set var="value" value="${category.header}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"footer": <c:set var="value" value="${category.footer}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"description": <c:set var="value" value="${category.description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"smallImage": <c:set var="value" value="${category.smallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"mediumImage": <c:set var="value" value="${category.mediumImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"largeImage": <c:set var="value" value="${category.largeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
	"isActive": ${category.isActive},
	"isContentPage": ${category.isContentPage},
	"categoryTreeID": <c:choose><c:when test="${!empty category.categoryTreeID}">${category.categoryTreeID}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	<c:if test="${!empty category.parent}">
		"parent": {
			"code": <c:set var="value" value="${category.parent.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"name": <c:set var="value" value="${category.parent.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"isContentPage": <c:choose><c:when test="${!empty category.parent.isContentPage}">${category.parent.isContentPage}</c:when><c:otherwise>null</c:otherwise></c:choose>,
			"isActive": <c:choose><c:when test="${!empty category.parent.isActive}">${category.parent.isActive}</c:when><c:otherwise>null</c:otherwise></c:choose>
		},
	</c:if>
	
	<%-- Fields that are commented out by default for security. --%>
	<%-- , "categoryID": ${category.categoryID} --%>
	<%-- , "keywords": <c:set var="value" value="${category.keywords}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>" --%>
	<%-- , "extra1": <c:set var="value" value="${category.extra1}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>" --%>
	<%-- , "extra2": <c:set var="value" value="${category.extra2}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>" --%>
	<%-- , "extra3": <c:set var="value" value="${category.extra3}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>" --%>

	<%-- Category Settings --%>
	<%
	  java.util.Map settings = (java.util.Map) ((Category) pageContext.findAttribute("category")).getCategorySettings();
	  java.util.ArrayList keys = new java.util.ArrayList(settings.keySet());
	  java.util.Collections.sort(keys);
	  pageContext.setAttribute("categorySettings", settings);
	  pageContext.setAttribute("keys", keys);
	%>
	"categorySettings": [
	<c:set var="delim" value=""/>
	<c:forEach items="${keys}" var="thisKey">
		<c:if test="${categorySettings[thisKey].type eq 'GENERAL'}">
		${delim}
		<c:set var="delim" value=","/>
		{
			"code": <c:set var="value" value="${categorySettings[thisKey].code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"name": <c:set var="value" value="${categorySettings[thisKey].name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
			"value": <c:set var="value" value="${categorySettings[thisKey].value}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>"
		}
		</c:if>
	</c:forEach>
	],
	
	<%-- Subcategories --%>
	<c:if test="${!empty category.subcategoryCollection}">
		"subcategories": [
		<c:set var="delim" value=""/>
		<c:forEach items="${category.subcategoryCollection}" var="subcategory">
			<c:if test="${subcategory.isActive}">
				${delim}
				<c:set var="delim" value=","/>
				{
					"code": <c:set var="value" value="${subcategory.code}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"name": <c:set var="value" value="${subcategory.name}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"header": <c:set var="value" value="${subcategory.header}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"footer": <c:set var="value" value="${subcategory.footer}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"description": <c:set var="value" value="${subcategory.description}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"smallImage": <c:set var="value" value="${subcategory.smallImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"mediumImage": <c:set var="value" value="${subcategory.mediumImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"largeImage": <c:set var="value" value="${subcategory.largeImage}"/> "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String) pageContext.getAttribute("value")))%>",
					"isActive": ${subcategory.isActive},
					"isContentPage": ${subcategory.isContentPage},
					"categoryTreeID": <c:choose><c:when test="${!empty subcategory.categoryTreeID}">${subcategory.categoryTreeID}</c:when><c:otherwise>null</c:otherwise></c:choose>,
					"categoryOrder": <c:choose><c:when test="${!empty subcategory.categoryOrder}">${subcategory.categoryOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>
				}
			</c:if>
		</c:forEach>
		],
	</c:if>
	"categoryOrder": <c:choose><c:when test="${!empty category.categoryOrder}">${category.categoryOrder}</c:when><c:otherwise>null</c:otherwise></c:choose>
</c:if>
