<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="java.util.Map,org.apache.commons.beanutils.PropertyUtils" %>
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activePaymentProcessors = appComponents.getProperty("activePaymentProcessors");
	pageContext.setAttribute("activePaymentProcessors", activePaymentProcessors);
%>
{
	<ssc:insert page="/WEB-INF/layouts/default-html5/json/errorsAndMessagesNoGson.jsp"/>,
"jsonResult": {
	"paymentOptions": [
	<c:set var="itemDelim" value=""/>
	<c:forTokens var="processorClass" varStatus="current" items="${activePaymentProcessors}" delims=",">
		<%
			// Strip the leading package names from the class
			String processorClass = (String) pageContext.getAttribute("processorClass");
			int lastdot = processorClass.lastIndexOf(".");
			if (lastdot != -1) {
				processorClass = processorClass.substring(lastdot + 1);
			}
			pageContext.setAttribute("processorClass", processorClass);
		%>
		<c:out value="${itemDelim}"/>
		<c:set var="itemDelim" value=", "/>
		{
			"paymentFormCount": ${current.count},
			<c:set var="value" value="${processorClass}"/>
			"processorClass": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
			<c:choose>
				<c:when test="${processorClass eq 'BasicPaymentProcessor'}">
					"description": "Submits standard credit card information to the system to use for processing the payment of the current order."
				</c:when>
				<c:when test="${processorClass eq 'CheckPaymentProcessor'}">
					"description": "Allows the user to indicate that he wishes to pay by check."
				</c:when>
				<c:when test="${processorClass eq 'PurchaseOrderPaymentProcessor'}">
					"description": "Allows the user to submit a purchase order to be used by the system for payment of the current order."
				</c:when>
			</c:choose>
		}
	</c:forTokens>
	]
	}
}
