ALTER TABLE sscCustomerAddress ADD paymentToken varchar2(255);
ALTER TABLE sscCustomerAddress ADD creditCardName varchar2(255);
ALTER TABLE sscCustomerAddress ADD creditCardType varchar2(255);
ALTER TABLE sscCustomerAddress ADD creditCardDate varchar2(255);
ALTER TABLE sscCustomerAddress ADD creditCardNumberDisplay varchar2(255);
ALTER TABLE sscCustomerAddress ADD identifier varchar2(255);
ALTER TABLE sscCustomerAddress ADD isBilling number(1,0) default 0;
UPDATE sscCustomerAddress SET isBilling = 0;

ALTER TABLE sscCustomer ADD passwordToken varchar2(100);
ALTER TABLE sscCustomer ADD passwordTokenDate varchar2(100);

ALTER TABLE sscCustomer ADD canUsePO number(1,0) default 0;
UPDATE sscCustomer SET canUsePO = 0;

ALTER TABLE sscRequestLog ADD searchString varchar2(255);
CREATE INDEX sscRL_searchString ON sscRequestLog (searchString);

create table sscOrderSetting (
	orderSettingID number(10,0) not null, 
	orderID number(10,0),
	code varchar2(100),
	name varchar2(255),
	description varchar2(255),
	type varchar2(100),
	valueType varchar2(16) not null,
	integerValue number(10,0), 
	smallValue varchar2(64),
	mediumValue varchar2(255),
	textValue clob,
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderSettingBean',
	primary key (orderSettingID),
	unique (orderID, code)
);

alter table sscOrderSetting add constraint FKOsOID foreign key (orderID) references sscOrder ON DELETE SET NULL;

ALTER TABLE sscProduct ADD created varchar2(100);
