UPDATE sscSetting SET smallValue='3.3.4' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('sortByNumericValue','Facets to Sort By Numeric Value','A comma-separated list of Facet names whose values should be sorted by numeric value. The default sort for facets is to sort by the count of matching products. This setting overrides that behvavior for the given facets, if their values can be cast as numbers (eg, prices or ratings) where it makes more sense to sort by the values themselves. Add ASC or DESC to specify the sort should be from lowest to highest (ASC), or vice-versa (DESC).','LUCENE','textValue',NULL,NULL,NULL,'priceRange ASC, averageRating DESC');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('sortByNaturalValue','Facets to Sort By Alphabetical Value','A comma-separated list of Facet names whose values should be sorted by alphabetical value. The default sort for facets is to sort by the count of matching products. This setting overrides that behvavior for the given facets, if it makes more sense to sort by the values themselves. Add ASC or DESC to specify the sort should be from lowest to highest (ASC), or vice-versa (DESC).','LUCENE','textValue',NULL,NULL,NULL,'');
