<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start customerAddressFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'customerAddressID'}">
					<c:out value="${item[field]}"/>
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'isDefault' or field eq 'isBilling'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'state'}">
							<html:select name="item" property="state">
								<option value="">Select</option>
								<option value="">-------------</option>
								<html:options collection="states" property="code" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'country'}">
							<html:select name="item" property="country">
								<option value="">Select</option>
								<option value="">-------------</option>
								<html:options collection="countries" property="code" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'notes'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'isDefault' or field eq 'isBilling'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'email1' or field eq 'email2'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<a href="mailto:<c:out value="${item[field]}"/>"><c:out value="${item[field]}"/></a>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<c:out value="${item[field]}"/>
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End customerAddressFieldColumns.jsp -->
